package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.ElectricMeterInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface ElectricMeterInfoDAO {
	int insert(ElectricMeterInfo entity);
	int update(ElectricMeterInfo entity);
	int exist(String id);
	ElectricMeterInfo get(String id);
	int delete(String id);
	int getCountByMNoAndUNo(String meterNo, String unitNo, String excludeId);
	List<ElectricMeterInfo> list();
	List<ElectricMeterInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}